curl --request GET \
--url https://api.synctera.com/v2/batches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/batches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"batch_payment_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batched_transfer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"status": "INITIATED",
"payment_rail": "<string>",
"payment_rail_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get BatchPayment
Get a Batch Payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique resource identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Retrieve a Batch Payment
A Batch Payment is a collection of transfers that are processed together. These transfers represent a new transfer on the ledger.
The total amount of the batch transfer.
The ID of the batch Payment template that was used to create the batch.
The IDs of the transfers that are part of the batch. These values can be modified by the client before the batch is in a terminal status.
"2010-05-06T12:23:34.321Z"
"d290f1ee-6c54-4b01-90e6-d701748f0851"
"2010-05-06T12:23:34.321Z"
The status of a Batch
INITIATED, PENDING_APPROVAL, PENDING_PAYMENT, COMPLETED, CANCELLED, DECLINED, RETURNED The payment rail that was used to process the batch.
The ID of the payment rail transfer that was used to process the batch.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The transaction ID of the batch which represents a transaction on the ledger.
Was this page helpful?

